Blender book action fails

Bug #458366 reported by Stani on 2009-10-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Phatch
High
Juho Vepsäläinen
phatch (Ubuntu)
Undecided
Stani

Bug Description

I've attached an action list.

Compiled with Python version 2.6.4rc2.
Checking for installed Python... got it!
Traceback (most recent call last):
  File "runner.py", line 103, in <module>
  File "runner.py", line 37, in render
  File "/home/stani/sync/python/phatch/repo/trunk/data/blender/object.py", line 579, in set_up_render
    image = self.selected_mode.execute(input_image, blender_object)
  File "/home/stani/sync/python/phatch/repo/trunk/data/blender/object.py", line 416, in execute
    return Image.Load(input_image_path)
IOError: couldn't load image

Stani (stani) wrote :
Stani (stani) wrote :

With the help of Juho I fixed it like this:
$ bzr diff
=== modified file 'data/blender/object.py'
--- data/blender/object.py 2009-09-26 08:42:57 +0000
+++ data/blender/object.py 2009-12-10 15:51:11 +0000
@@ -361,7 +361,7 @@
             left_page.save(temporary_image.path)
             args[image_arg] = temporary_image.path

- if args['page_mapping'] == 'Wrap Both':
+ if args['page_mapping'].startswith('Wrap'):
             im_path = args['input_image_1']
             im = PILImage.open(im_path)
             width, height = im.size

The underlaying issue should be still fixed though:
Juho: The issue has to do with arguments. It's probably missing "'s somewhere as the latter part does not get parsed
properly.

Changed in phatch:
status: Confirmed → Fix Committed
Stani (stani) on 2009-12-10
Changed in phatch (Ubuntu):
assignee: nobody → stani (stani)
status: New → In Progress
Stani (stani) on 2009-12-12
Changed in phatch:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package phatch - 0.2.5-1

---------------
phatch (0.2.5-1) unstable; urgency=low

  [ Stani M ]
  * Upstream bugfix release (Closes LP: #454426, #458366, #469231, #481751,
    #492665)
  * debian/watch: updated new location

  [ Bernd Zeimetz ]
  * debian/control:
    - Removing myself from Uploaders.
 -- Ubuntu Archive Auto-Sync <email address hidden> Tue, 22 Dec 2009 04:01:42 +0000

Changed in phatch (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments